Subject: Re: bug#43276: [PATCH] gnu: emacs-org-contrib: Fix origin hash.

From: Pierre Langlois <[email-masked]>
Date: Wed, 09 Sep 2020 14:16:53 +0100

zimoun writes:

> Hi,
>
> On Wed, 9 Sep 2020 at 14:46, Pierre Langlois <[email-masked]> wrote:
>>
>>
>> Fixed with 057d584b981d9a3293be03ee863d40a61c8aae74
>
> Not for me.

Actually, yeah it didn't fix it for me either, I was too quick closing
this bug. But, the next commit does fix it I think.

@Tobias, the hash that's now upstream is the only one I've seen locally,
and I assume it's the same case for simon. Do you happen to still have
the tar ball with the previous hash? I'm curious what changed upstream,
if it's unstable we might be better off using a git repo instead of
elpa, as in code.orgmode.org/bzg/worg/src/master/org-contrib. Although
then I don't know which commit corresponds to what's on elpa :-/.

>
> --8<---------------cut here---------------start------------->8---
> guix time-machine --commit=057d584b981d9a3293be03ee863d40a61c8aae74 \
>         -- build emacs-org-contrib
> [...]
> Starting download of
> /gnu/store/bbc7d0dw6wl4vdhw9sfx35827f8qg42h-org-plus-contrib-20200908.tar
> From https://orgmode.org/elpa/org-plus-contrib-20200908.tar...
> download failed
> "https://orgmode.org/elpa/org-plus-contrib-20200908.tar" 404 "Not
> Found"
>
> Starting download of
> /gnu/store/bbc7d0dw6wl4vdhw9sfx35827f8qg42h-org-plus-contrib-20200908.tar
> From https://ci.guix.gnu.org/file/org-plus-contrib-20200908.tar/sha256/1rgk3pwhsmbmwlncg60ahwrrkm1ks4xpwy2wzv9q7myl1aihjj54...
> download failed
> "https://ci.guix.gnu.org/file/org-plus-contrib-20200908.tar/sha256/1rgk3pwhsmbmwlncg60ahwrrkm1ks4xpwy2wzv9q7myl1aihjj54"
> 404 "Not Found"
>
> Starting download of
> /gnu/store/bbc7d0dw6wl4vdhw9sfx35827f8qg42h-org-plus-contrib-20200908.tar
> From https://tarballs.nixos.org/sha256/1rgk3pwhsmbmwlncg60ahwrrkm1ks4xpwy2wzv9q7myl1aihjj54...
> download failed
> "https://tarballs.nixos.org/sha256/1rgk3pwhsmbmwlncg60ahwrrkm1ks4xpwy2wzv9q7myl1aihjj54"
> 404 "Not Found"
>
> Starting download of
> /gnu/store/bbc7d0dw6wl4vdhw9sfx35827f8qg42h-org-plus-contrib-20200908.tar
> From https://archive.softwareheritage.org/api/1/content/sha256:a44809a30ad4d783d3fe5c787e3bd133d49933870a98c72ce575550df91df3e5/raw/...
> download failed
> "https://archive.softwareheritage.org/api/1/content/sha256:a44809a30ad4d783d3fe5c787e3bd133d49933870a98c72ce575550df91df3e5/raw/"
> 404 "Not Found"
> failed to download
> "/gnu/store/bbc7d0dw6wl4vdhw9sfx35827f8qg42h-org-plus-contrib-20200908.tar"
> from "https://orgmode.org/elpa/org-plus-contrib-20200908.tar"
> builder for `/gnu/store/01ncd7q8zd15mbckads5na0ys4a100ng-org-plus-contrib-20200908.tar.drv'
> failed to produce output path
> `/gnu/store/bbc7d0dw6wl4vdhw9sfx35827f8qg42h-org-plus-contrib-20200908.tar'
> build of /gnu/store/01ncd7q8zd15mbckads5na0ys4a100ng-org-plus-contrib-20200908.tar.drv
> failed
>
> --8<---------------cut here---------------end--------------->8---
>
> Sorry, I duplicate this bug with 43292 (now close)
> http://issues.guix.gnu.org/issue/43292

No worries!

Thanks,
Pierre